/* Copyright 2009 Marcel Overdijk
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.grails.samples.sakila

class Staff {

    String firstName
    String lastName
    Address address
    String email
    Store store
    boolean active = true
    String username
    String password

    static constraints = {
        firstName(nullable: false, blank: false, maxSize: 45)
        lastName(nullable: false, blank: false, maxSize: 45)
        address(nullable: false)
        email(nullable: true, blank: true, email: true, maxSize: 50)
        store(nullable: false)
        active()
        username(nullable: false, blank: false, maxSize: 16)
        password(nullable: true, blank: true, maxSize: 40)
    }

    static mapping = {
        id column: "staff_id"
        sort lastName: "asc"
        version false
    }

    String toString() { "${firstName} ${lastName}" }
}
