<%@ page import="org.grails.samples.sakila.Language" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <title><g:message code="language.list" default="Language List" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><g:link class="create" action="create"><g:message code="language.new" default="New Language" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="language.list" default="Language List" /></h1>
            <g:if test="${flash.message}">
            <div class="message"><g:message code="${flash.message}" args="${flash.args}" default="${flash.defaultMessage}" /></div>
            </g:if>
            <div class="search">
                <g:form action="search" method="post">
                    <g:textField name="q" class="query" maxlength="50" value="${params.search}"/>
                    <g:submitButton name="search" class="search" value="${message(code: 'search', 'default': 'Search')}" />
                    <g:submitButton name="clear" class="clear" value="${message(code: 'search.clear', 'default': 'Clear')}" onclick="\$('q').clear();" />
                </g:form>
            </div>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                   	    <g:sortableColumn style="width: 200px;" property="name" title="Name" titleKey="language.name" />
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${languageInstanceList}" status="i" var="languageInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                            <td>${fieldValue(bean: languageInstance, field: "name")}</td>
                            <td><g:link action="show" id="${languageInstance.id}"><g:message code="show" default="Show" /></g:link></td>
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${languageInstanceList.totalCount}" />
            </div>
        </div>
    </body>
</html>
