<% import org.codehaus.groovy.grails.orm.hibernate.support.ClosureEventTriggeringInterceptor as Events %>
<%=packageName%>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <title><g:message code="${domainClass.propertyName}.list" default="${className} List" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><g:link class="create" action="create"><g:message code="${domainClass.propertyName}.new" default="New ${className}" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="${domainClass.propertyName}.list" default="${className} List" /></h1>
            <g:if test="\${flash.message}">
            <div class="message"><g:message code="\${flash.message}" args="\${flash.args}" default="\${flash.defaultMessage}" /></div>
            </g:if>
            <div class="search">
                <g:form action="search" method="post">
                    <g:textField name="q" class="query" maxlength="50" value="\${params.search}"/>
                    <g:submitButton name="search" class="search" value="\${message(code: 'search', 'default': 'Search')}" />
                    <g:submitButton name="clear" class="clear" value="\${message(code: 'search.clear', 'default': 'Clear')}" onclick="\\\$('q').clear();" />
                </g:form>
            </div>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        <%  excludedProps = ["version",
                                             Events.ONLOAD_EVENT,
                                             Events.BEFORE_INSERT_EVENT,
                                             Events.BEFORE_UPDATE_EVENT,
                                             Events.BEFORE_DELETE_EVENT]
                            props = domainClass.properties.findAll { !excludedProps.contains(it.name) && it.type != Set.class }
                            Collections.sort(props, comparator.constructors[0].newInstance([domainClass] as Object[]))
                            props.eachWithIndex { p, i ->
                   	        if (p.isAssociation()) { %>
                   	    <th><g:message code="${domainClass.propertyName}.${p.name}" default="${p.naturalName}" /></th>
                   	    <%  } else { %>
                   	    <g:sortableColumn property="${p.name}" title="${p.naturalName}" titleKey="${domainClass.propertyName}.${p.name}" />
                        <%  }   } %>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="\${${propertyName}List}" status="i" var="${propertyName}">
                        <tr class="\${(i % 2) == 0 ? 'odd' : 'even'}">
                        <%  props.eachWithIndex { p, i ->
                                if (p.type == Boolean.class || p.type == boolean.class) { %>
                            <td><g:formatBoolean boolean="\${${propertyName}.${p.name}}" /></td>
                        <%      } else if (p.type == Date.class || p.type == java.sql.Date.class || p.type == java.sql.Time.class || p.type == Calendar.class) { %>
                            <td><g:formatDate date="\${${propertyName}.${p.name}}" /></td>
                        <%      } else if (BigDecimal.class.isAssignableFrom(p.type)) { %>
                            <td><g:formatNumber number="\${${propertyName}.${p.name}}" /></td>
                        <%      } else { %>
                            <td>\${fieldValue(bean: ${propertyName}, field: "${p.name}")}</td>
                        <%  }   } %>
                            <td><g:link action="show" id="\${${propertyName}.id}"><g:message code="show" default="Show" /></g:link></td>
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="\${${propertyName}List.totalCount}" />
            </div>
        </div>
    </body>
</html>
